Permalink
Browse files

Renamed scripts to assets

  • Loading branch information...
1 parent b7c9ba6 commit b551525b952e0acc007bd44942463c4a591da768 @boriscy committed Feb 5, 2013
Showing with 47 additions and 47 deletions.
  1. +31 −31 Gemfile.lock
  2. +4 −0 lib/assets.rb
  3. +1 −1 lib/{scripts → assets}/engine.rb
  4. +3 −0 lib/assets/version.rb
  5. +0 −4 lib/scripts.rb
  6. +0 −3 lib/scripts/version.rb
  7. +7 −7 scripts.gemspec
  8. +1 −1 spec/dummy/config/application.rb
View
@@ -1,37 +1,37 @@
PATH
remote: .
specs:
- scripts (1.0.3)
- rails (~> 3.2.9)
+ assets (1.0.4)
+ rails (~> 3.2.11)
GEM
remote: http://rubygems.org/
specs:
- actionmailer (3.2.10)
- actionpack (= 3.2.10)
+ actionmailer (3.2.11)
+ actionpack (= 3.2.11)
mail (~> 2.4.4)
- actionpack (3.2.10)
- activemodel (= 3.2.10)
- activesupport (= 3.2.10)
+ actionpack (3.2.11)
+ activemodel (= 3.2.11)
+ activesupport (= 3.2.11)
builder (~> 3.0.0)
erubis (~> 2.7.0)
journey (~> 1.0.4)
rack (~> 1.4.0)
rack-cache (~> 1.2)
rack-test (~> 0.6.1)
sprockets (~> 2.2.1)
- activemodel (3.2.10)
- activesupport (= 3.2.10)
+ activemodel (3.2.11)
+ activesupport (= 3.2.11)
builder (~> 3.0.0)
- activerecord (3.2.10)
- activemodel (= 3.2.10)
- activesupport (= 3.2.10)
+ activerecord (3.2.11)
+ activemodel (= 3.2.11)
+ activesupport (= 3.2.11)
arel (~> 3.0.2)
tzinfo (~> 0.3.29)
- activeresource (3.2.10)
- activemodel (= 3.2.10)
- activesupport (= 3.2.10)
- activesupport (3.2.10)
+ activeresource (3.2.11)
+ activemodel (= 3.2.11)
+ activesupport (= 3.2.11)
+ activesupport (3.2.11)
i18n (~> 0.6)
multi_json (~> 1.0)
addressable (2.3.2)
@@ -95,32 +95,32 @@ GEM
mime-types (~> 1.16)
treetop (~> 1.4.8)
method_source (0.8.1)
- mime-types (1.19)
+ mime-types (1.20.1)
multi_json (1.5.0)
nokogiri (1.5.5)
polyglot (0.3.3)
pry (0.9.10)
coderay (~> 1.0.5)
method_source (~> 0.8)
slop (~> 3.3.1)
- rack (1.4.3)
+ rack (1.4.4)
rack-cache (1.2)
rack (>= 0.4)
- rack-ssl (1.3.2)
+ rack-ssl (1.3.3)
rack
rack-test (0.6.2)
rack (>= 1.0)
- rails (3.2.10)
- actionmailer (= 3.2.10)
- actionpack (= 3.2.10)
- activerecord (= 3.2.10)
- activeresource (= 3.2.10)
- activesupport (= 3.2.10)
+ rails (3.2.11)
+ actionmailer (= 3.2.11)
+ actionpack (= 3.2.11)
+ activerecord (= 3.2.11)
+ activeresource (= 3.2.11)
+ activesupport (= 3.2.11)
bundler (~> 1.0)
- railties (= 3.2.10)
- railties (3.2.10)
- actionpack (= 3.2.10)
- activesupport (= 3.2.10)
+ railties (= 3.2.11)
+ railties (3.2.11)
+ actionpack (= 3.2.11)
+ activesupport (= 3.2.11)
rack-ssl (~> 1.3.2)
rake (>= 0.8.7)
rdoc (~> 3.4)
@@ -162,7 +162,7 @@ GEM
rack (~> 1.0)
tilt (~> 1.1, != 1.3.0)
sqlite3 (1.3.6)
- thor (0.16.0)
+ thor (0.17.0)
tilt (1.3.3)
treetop (1.4.12)
polyglot
@@ -176,6 +176,7 @@ PLATFORMS
ruby
DEPENDENCIES
+ assets!
capybara
coffee-rails
guard-rspec
@@ -184,5 +185,4 @@ DEPENDENCIES
konacha
rspec-rails
sass-rails
- scripts!
sqlite3
View
@@ -0,0 +1,4 @@
+require 'assets/version'
+module Assets
+ require 'assets/engine'
+end
@@ -1,4 +1,4 @@
-module Scripts
+module Assets
module Rails
class Engine < ::Rails::Engine
end
@@ -0,0 +1,3 @@
+module Assets
+ VERSION = "1.0.4"
+end
View
@@ -1,4 +0,0 @@
-require 'scripts/version'
-module Scripts
- require 'scripts/engine'
-end
@@ -1,3 +0,0 @@
-module Scripts
- VERSION = "1.0.3"
-end
View
@@ -1,21 +1,21 @@
$:.push File.expand_path("../lib", __FILE__)
# Maintain your gem's version:
-require "scripts/version"
+require "assets/version"
# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
- s.name = "scripts"
- s.version = Scripts::VERSION
+ s.name = "assets"
+ s.version = Assets::VERSION
s.authors = ["Boris Barroso"]
s.email = ["boriscyber@gmail.com"]
- s.homepage = "https://github.com/boriscy/scripts"
- s.summary = "Gem to encapsulate basic javascripts."
+ s.homepage = "https://github.com/boriscy/assets"
+ s.summary = "Gem to encapsulate javascripts files and some stylesheets used in many projects."
s.description = "Encansulates the basic javascripts used around many projects."
- s.files = Dir["{app,config,db,lib}/**/*"] + Dir["vendo/**/*.{sass,scss,js,coffee,png}"] + ["MIT-LICENSE", "Rakefile", "README.md"]
+ s.files = Dir["{app,config,db,lib}/**/*"] + Dir["vendor/**/*.{sass,scss,js,coffee,png}"] + ["MIT-LICENSE", "Rakefile", "README.md"]
- s.add_dependency "rails", "~> 3.2.9"
+ s.add_dependency "rails", "~> 3.2.11"
s.add_development_dependency "sqlite3"
s.add_development_dependency "coffee-rails"
@@ -9,7 +9,7 @@
# require "rails/test_unit/railtie"
Bundler.require
-require "scripts"
+require "assets"
module Dummy
class Application < Rails::Application

0 comments on commit b551525

Please sign in to comment.